#include "Input.h"
#include <iostream>

#include <ctime>
#include <cstdlib>
#include <unistd.h>

using namespace std;
using namespace STDP;

StdPijo* Input::stdp = NULL;
int Input::key = 0;

Input::Input()
{
	
}

void Input::init()
{
	// Obtenemos referencia de acceso a StdPijo
    stdp = &StdPijo::p();
}

void Input::update()
{
	key = stdp->getKey();
}

bool Input::escapePressed()
{
	return key == KESCAPE;
}

bool Input::spacePressed()
{
	return key == KSPACE;
}

bool Input::upPressed()
{
	return key == 'w';
}
bool Input::downPressed()
{
	return key == 's';
}
bool Input::leftPressed()
{
	return key == 'a';
}
bool Input::rightPressed()
{
	return key == 'd';
}
